Application: gvSIG desktop - gvSIG bugs #5499
El hiperenlace no reconoce rutas con espacios
11/05/2020 09:28 AM - Mario Carrera

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category: Document table

Target version: 2.6.0-3302

Severity: Minor Add-on version:

gvSIG version: 2.51 Add-on build:

gvSIG build: 3044 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Cuando en el registro de una tabla tenemos una ruta a una carpeta con espacios, cuando ejecutamos el hiperenlace sobre dicho
campo gvSIG rellena los espacios con un "%" y salta un mensaje que dice que ese directorio no existe.

Por ejemplo, creando una capa con un campo en la tabla que apunta al directorio "Z:\a\f ¢", salta error de que la ruta "Z:\a\f%20c" no
existe.

Associated revisions

Revision 1082 - 12/13/2022 07:47 PM - Joaquin del Cerro Murciano

refs #5499, corregido el problema con los espacios en la URL, y refactorizado el codigo para que use los visores de pdf y imagenes que van ya con
gvSIG desktop.

Revision 2886 - 12/21/2022 10:45 AM - Joaquin del Cerro Murciano

refs #5499, refactoring en el navegador web interno para que use CSSBox si no hay otro instalado.

Revision 2887 - 12/21/2022 10:45 AM - Joaquin del Cerro Murciano

refs #5499, refactoring en el navegador web interno para que use CSSBox si no hay otro instalado.

Revision 46902 - 12/21/2022 10:47 AM - Joaquin del Cerro Murciano

refs #5499, refactoring en el navegador web interno para que use CSSBox si no hay otro instalado.

Revision 46903 - 12/21/2022 10:47 AM - Joaquin del Cerro Murciano

refs #5499, refactoring en el navegador web interno para que use CSSBox si no hay otro instalado.

Revision 1083 - 12/21/2022 10:51 AM - Joaquin del Cerro Murciano
refs #5499, refactoring en el navegador web interno para que use CSSBox si no hay otro instalado.

History

#1 - 12/13/2022 07:26 PM - Joaquin del Cerro Murciano
- File hiperlink1.zip added

#2 - 01/19/2023 07:41 PM - Joaquin del Cerro Murciano
- Target version changed from 2.6.1-final to 2.6.0-3302

- Assignee set to Joaquin del Cerro Murciano

- Status changed from New to Fixed

Se ha realizado un refactoring completo de la herramienta de hyperenlace en el que se ha corregido el enlace a carpetas con blancos, ademas de
sustituir los visores implementados en esta herramienta por los visores "standard" implementados en las librerias de uso general de gvSIG desktop.

#3 - 08/03/2023 02:17 PM - Alvaro Anguix

- Status changed from Fixed to Closed

Files

hiperlink1.zip 11.5KB 12/13/2022 Joaquin del Cerro Murciano
